
= v1.8.99 =
* Added: New free module - Cubik Lite (3D Cube Gallery)
* Added: Settings for Author profile page
* Added: Show Related Gmedia Metabox for Posts
* Added: Back button on Upload page
* Added: Show term description on standalone post
* Updated: Latest version of Lightbox script
* Improved: Compatibility with ajax themes
* Improved: Compatibility with JetPack plugin
* Fixed: Cover change error on Edit Item
* Fixed: Library Grid Mode on Safari
* Fixed: Refresh after edit item in popup
* Fixed: Actions on Edit Term page
* Fixed: Add/Edit comments for roles lower than editor
* Fixed: Error on servers with 'mbstring' disabled

= v1.8.98 =
* Fixed: Compatibility with "All in One SEO Pack" plugin
* Fixed: Load registered styles only once if there are few different gallery modules on the page
* Fixed: Module styles doesn't load when Raw output enabled in settings
* Fixed: Notice in Media Upload popup

= v1.8.97 =
* Changed: Shortcode css output
* Changed: Shortcode js output to avoid cache for new versions

= v1.8.96 =
* Added: Message "Upload complete" on Add Media page
* Fixed: Library grid on Safari
* Fixed: Minima module
* Improved: Shortcode output

= v1.8.95 =
* Added: Setting "Delete original images"
* Added: Setting to show Related Media for WP tags and categories archive pages
* Added: Setting to show Related Media for WP Posts based on tag names
* Fixed: Gallery Share button in the admin linked to wrong post
* Improved: Load module styles before the module content
* Improved: Clear cache after module update
* Improved: Do not show Reset Filter for author if there is only one author who can not view others media

= v1.8.94 =
* Fixed: Compatibility with Wordpress less than 4.4

= v1.8.93 =
* Added: Update Modules badge indicator
* Added: Widget for Gmedia Galleries
* Added: Show Albums on Menu page
* Added: Order By: "comment count", "created date", "views", "likes", "file size"
* Added: In "Batch Edit" renaming files with {index:0001} now keep leading zeroes
* Added: Option to disable "Title Case" for titles converted from filenames
* Fixed: Save Filename to Title when non English letters
* Fixed: Do not show non-published albums for images on the front-end
* Fixed: Gallery comments popup template for some themes
* Updated: Phantom gallery module to support gallery pagination, terms
* Updated: Other gallery modules
* Fixes and improvements

= v1.8.90 =
* Added: Alt Text field for image
* Added: Editor quick tag buttons for items description fields
* Added: "Add from Library" button on Edit Term page
* Added: "Upload to term" button on Edit Term page
* Added: Modal window to easily set link for items from existing content
* Added: Share, Delete actions on Edit Term page
* Added: Links to view "GmediaCloud Page" and "Term's WP Post" on Edit Term page
* Fixes and improvements


= v1.8.89 =
* Fixed: Auth redirect for ajaxurl loaded files on the front-end
* Added: When changing cover for item you'll see change immediately
* Added: Modal window to easily choose file cover, album cover and category cover
* Added: Modal window to easily set link for items from existing content
* Changed: Excluded gmedia items from WP Link query
* Small fixes and improvements

= v1.8.88 =
* Fixed: Upload when edit post
* Fixed: Compatibility with PHP 5.2

= v1.8.86 =
* Fixed: Fatal error bug on WP Media page

= v1.8.85 =
* Changed: Click on Thumbnail now open edit item
* Changed: To select item use checkboxes
* Improved: Library like view on edit Album page
* Improved: Library like view on edit Category page
* Improved: Storage of selected items
* Added: Field for Item order (custom order) in Album
* Other fixes and improvements

= v1.8.80 =
* Added: edit items in popup
* Added: tags dropdown list in Edit Mode
* Added: tooltips for admin elements
* Added: "Duplicate Gmedia Item" action
* Changed: grid mode view
* Fixed: waveplayer in admin
* Fixed: Add Album in Edit Mode
* Updated: Phantom gallery module new version

= v1.8.71 =
* Fixed: Compatibility with some plugins, which manipulate posts meta
* Fixed: Saving custom presets on Edit Gallery pages.
* Improvements for future iOS app version.

= v1.8.70 =
* Added: New Action to re-create selected images in Library
* Fixed: Author filter in Gmedia Library
* Fixed: Fatal error for some images without EXIF
* Updated: New compact look for comments in Phantom image gallery module
* Other fixes and improvements

= v1.8.63 =
* Fixed: admin background
* Fixed: Notice on Build Gallery Query popup
* Fixed: database error if photos have unknown characters in EXIF
* Fixed: Hide Gmedia Gallery button if it is not active for current post type
* Small fixes and improvements

= v1.8.62 =
* Added: Ability to change gallery preview background color
* Added: Global preset for modules (admin only)
* Fixed: Upload for sites with Punycode url
* Small fixes and improvements

= v1.8.61 =
* Fixed: Internal Server Error on some servers
* Fixed: Increased upload chunk size
* Fixed: Notice in Build Gallery Query popup, when MimeType chosen
* Added: Class for manipulating hex colors with PHP

= v1.8.60 =
* Fixed: Preset Preview
* Soon: New music module with waveform

= v1.8.59 =
* Fixed: Modules install not worked
* Fixed: Google Maps not worked on some servers
* Changed: Hide Presets for not installed modules
* Improved: wavesurfer.js script

= v1.8.58 =
* Added: Waveform for music files
* Added: Waveform music player in admin
* Added: Spinner on item edit
* Added: Clean cache of all major cache plugins when do some actions in Gmedia Gallery plugin
* Fixed: Database creation on some servers

= v1.8.57 =
* Updated: Compatibility with latest Gmedia Gallery iOS application version
* Fixed: Notice in Music Player playlist module

= v1.8.56 =
* Fixed: Apply preset for gallery
* Updated Music Player audio playlist module

= v1.8.55 =
* Added: Show Duplicates in Gmedia Library
* Added: Prevent duplicates been import
* Added: Open in Gmedia Library button to Edit Album/Category page
* Added: Login by email in Gmedia Gallery iOS app
* Fixes and Improvements

= v1.8.51 =
* New: PhotoTravlr image gallery module on Modules page
* Fixed: delete presets on Modules page

= v1.8.50 =
* Added: Page for creating Presets
* New: Modules page now shows also available presets for each module
* New: You can set global Module/Preset for terms
* New: You can set Module/Preset individual for each album or category
* Added: Tips for creating gallery's Query Args.
* Added: Shortcode preview for each term
* Bug Fixes & Improvements

= v1.8.27 =
* Added Open Graph Meta Image for Gmedia Posts
* Added more info about item on Gmedia Post page (exif, map, terms)
* Added 'style' parameter to shortcode, so user can add inline styles for gallery container
* Added 'class' parameter for shortcode, so user can add own classes to gallery container
* Fixes & improvements

= v1.8.26 =
* Enable/disable archive page option in Settings for gmedia library, albums, galleries.
* Fixes for iOS app

= v1.8.25 =
* Fixed: Compatibility with Ajax themes

= v1.8.24 =
* Fixed: Screen Settings on pages
* Fixed: Preview of changed module
* Fixed: Google Maps JS error in admin on some installations

= v1.8.23 =
* Fixed: If gallery source is album, then set order from album (with ability to overwrite by query parameter)

= v1.8.22 =
* Fixed: Quick Galleries items order

= v1.8.21 =
* Fixed: Fatal Error on album sort

= v1.8.20 =
* Compatibility with WP 4.5
* Changed: Removed Custom Filters
* Changed: Taxonomies are now separate pages (Albums, Categories, Tags)
* Changed: Galleries are now have query builder (like in custom filters) to make custom queries
* Improved: Gallery Preview now resizable
* Improved: Isolation Mode
* Added: Custom Fields to Galleries
* Added: Settings for default albums 'status', 'order', 'orderby'
* Added: Setting for Default Module
* Added: 'category__and' query parameter
* Fixed: bugfixes
* Code refactoring and other improvements

= v1.8.14 =
* Fixed: Multiple categories in Edit Mode

= v1.8.12 =
* New: Ability to create own categories
* New: Ability to assign few categories to one item
* New: Ability to assign categories to non images
* Added: New capability for managing categories

= v1.8.10 =
* Added: Stack for Gmedia Items
* New: Selected items now cleared automatically after Action
* Changed: Numeric title from EXIF will be saved to DB

= v1.8.08 =
* Improved Phantom gallery module
* Improved installations of modules
* Fixed Install module ZIP
* Fixed loading comments on some themes
* Removed Font-Awesome from GmediaCloud page to improve loading speed

= v1.8.07 =
* Fixed: Modules update
* Updated: Phantom photo gallery module (fixed few settings)

= v1.8.06 =
* Fixed: Notice on first install
* Fixed: Ignored uninstall settings and gallery plugin doesn't delete database records and delete all files

= v1.8.05 =
* Improved: update process
* Fixed: access point for Gmedia Gallery iOS app
* Fixed: comments in Phantom photo gallery module not worked on some themes

= v1.8.0 =
* Added: Comments for Gmedia Items
* Added: WP search integration for gmedia items, albums, galleries, filters
* New: Phantom gallery module with comments support
* Fixed: gallery search in admin and a lot of other bugs that I don't remember

= 1.8.24 =
* Fixed: Screen Settings on pages
* Fixed: Preview of changed module
* Fixed: Google Maps JS error in admin on some installations

= 1.8.23 =
* Fixed: If gallery source is album, then set order from album (with ability to overwrite by query parameter)

= 1.8.22 =
* Fixed: Quick Galleries items order

= 1.8.21 =
* Fixed: Fatal Error on album sort

= 1.8.20 =
* Compatibility with WP 4.5
* Changed: Removed Custom Filters
* Changed: Taxonomies are now separate pages (Albums, Categories, Tags)
* Changed: Galleries are now have query builder (like in custom filters) to make custom queries
* Improved: Gallery Preview now resizable
* Improved: Isolation Mode
* Added: Custom Fields to Galleries
* Added: Settings for default albums 'status', 'order', 'orderby'
* Added: Setting for Default Module
* Added: 'category__and' query parameter
* Fixed: bugfixes
* Code refactoring and other improvements

= 1.8.14 =
* Fixed: Multiple categories in Edit Mode

= 1.8.12 =
* New: Ability to create own categories
* New: Ability to assign few categories to one item
* New: Ability to assign categories to non images
* Added: New capability for managing categories

= 1.8.10 =
* Added: Stack for Gmedia Items
* New: Selected items now cleared automatically after Action
* Changed: Numeric title from EXIF will be saved to DB

= 1.8.08 =
* Improved Phantom module
* Improved installations of modules
* Fixed Install module ZIP
* Fixed loading comments on some themes
* Removed Font-Awesome from GmediaCloud page to improve loading speed

= 1.8.07 =
* Fixed: Modules update
* Updated: Phantom module (fixed few settings)

= 1.8.06 =
* Fixed: Notice on first install
* Fixed: Ignored uninstall settings and plugin doesn't delete database records and delete all files

= 1.8.05 =
* Improved: update process
* Fixed: access point for iOS app
* Fixed: comments in Phantom module not worked on some themes

= 1.8.0 =
* Added: Comments for Gmedia Items
* Added: WP search integration for gmedia items, albums, galleries, filters
* New: Phantom module with comments support
* Fixed: gallery search in admin and a lot of other bugs that I don't remember

= 1.7.56 =
* Fixed: error "jQuery is not defined" on some themes

= 1.7.55 =
* Fixed: ajax requests required login
* Fixed: error in class.processor.php file
* Fixed: CSS conflict for forms

= 1.7.53 =
* Fixed: Import from WP Media Library
* Fixed: Image Editor
* Fixed: Create Album in Edit mode

= 1.7.52 =
* Fixed: Custom Filter in Gmedia Library
* Fixed: Limit field in Custom Filter now works properly (require re-save Custom Filter)
* Fixed: Filter with "No Album" and Uncategorised items

= 1.7.51 =
* Fixed: View/Like counter in flash modules

= 1.7.50 =
* Fixed: JS error in Library if user have no Terms capability
* Fixed: Views and Likes not count on some themes (400 error)
* Fixed: Error when file have no metadata (exif info)
* Other small fixes, new bugs and improvements

= 1.7.40 =
* Added: Grid View in Gmedia Library
* Fixed: Sorting by Title and by Date in Gmedia Library
* Added: Download link for modules

= 1.7.30 =
* Fixed: error T_PAAMAYIM_NEKUDOTAYIM
* Fixed: Compatibility with PHP 5.2
* Updated: Music Player

= 1.7.21 =
* Fixed: Import function
* Fixed: Error when image have no orientation in EXIF

= 1.7.20 =
* Added: Autorotate images based on Exif information
* Added: MP3 Title and Album from ID3Tag
* Added: Using PEL library save EXIF to Web image files
* Improved: Image Editor
* Improved: List header is now fixed while scrolling
* Other small fixes and improvements

= 1.7.10 =
* Added: Filter icons on Albums page and other terms pages
* Added: Open GmediaCloud page icon from Galleries page
* Added: Search geocode by address on map
* Improved: GmediaCloud meta tags
* Improved: Functions for iOS app
* Changed: GPS location field now editable

= 1.7.9 =
* Fixed: GmediaCloud page not worked
* Fixed: Compatibility with Jetpack plugin

= 1.7.8 =
* Fixed: Update error on some servers

= 1.7.7 =
* Added: Geolocation for photos and videos
* Added: url query params for shortcode in page
* Fixed: Image edit on multisite
* Updated: Photomania module
* Improved: Exif information
* Small fixes and improvements

= 1.7.6 =
* Added: New option called Limit in Custom Filter
* Added: Custom Filter collections in Add Media window
* Added: Feature to load any term to page gallery with url parameters
* Added: Twitter widget with latest news in admin
* Updated: Afflux module, Music Player module, Minima module, PhotoMania module, Video Player module
* Fixed: Gallery preview in admin not worked with https
* Fixed: GmediaCloud page for single item
* Changed: Plugin text domain to 'grand-media'
* Small fixes and improvements

= 1.7.4 =
* Added: German translate
* Added: Dutch translate
* Updated: Phantom module

= 1.7.3 =
* Fixed: Update error on some websites
* Fixed: Check if imported gallery title only numbers
* Updated: Phantom module
* Small fixes and improvements

= 1.7.2 =
* Fixed: Image Editor not worked on websites with hyphens

= 1.7.1 =
* Added: settings to enable/disable debug mode
* Added: Ukrainian translation
* Updated: jPlayer library
* Updated: Music Player module
* Updated: Phantom module
* Changed: disabled music cover from mp3 metainfo (required a lot of memory)
* Small fixes and improvements

= 1.7.0 =
* Fixed: compatibility with WPMobile App plugin
* Fixed: Music Player
* Fixed: Video Player
* Added: Help tab for Settings page
* Added: Support us block

= 1.6.9 =
* Fixed: Album custom sorting

= 1.6.8 =
* New: PhotoMania Module - free cool gallery module
* Changed: All Albums on Add Files page
* Fixed GmediaCloud page for Filters (if 404 page go to WP Settings -> Permalinks -> re-Save settings)
* Other improvements

= 1.6.7 =
* Added Cover for Albums
* Updated Music Player and Video Player modules to support Album Covers
* Fixed small bugs

= 1.6.6 =
* Fixed compatibility with iOS application

= 1.6.5 =
* Fixed vulnerabilities
* Added Custom fields to Albums
* Added option to hide social buttons for GmediaCloud page

= 1.6.4 =
* Fixed links for delete, upload and others

= 1.6.3 =
* Added Custom Fields for Gmedia Items
* Added Batch File Rename
* Fixed bug for HTTPS websites
* Small fixes and improvements

= 1.6.1 =
* Fixed: Edit Mode loose items album

= 1.6.0 =
* Added Custom Filters - Custom Query Builder for Gmedia Library!!!
* Small fixes and improvements

= 1.5.91 =
* Fixed compatibility with PHP v5.2
* Small fixes and improvements

= 1.5.9 =
* Fixed Batch Edit -> Custom Link
* Added sitemap integration with WP SEO by Yoast plugin
* Small fixes and improvements

= 1.5.8 =
* Fixed Upload and Import now works with .htaccess which deny *.php direct access in wp-content folder
* Improved Album Sorting
* Added settings for default gmedia sorting in tags and categories (in modules)
* Added Screen Options for Galleries, Albums, Tags. Now you can sort terms in way you need on admin pages
* Added option to sort gmedia by filename
* Added "Views / Likes" (and ratings for audio) meta information to Gmedia Library
* Added setting to add own CSS to GmediaCloud page
* Small fixes and improvements

= 1.5.7 =
* New Mosaic Gallery Module
* Fixed javascript error on Gmedia Edit Gallery page
* Fixed generating json settings for some modules
* Fixed GmediaCloud json module settings
* Fixed: iOS application loads images without status
* Added Home and Back menu buttons to GmediaCloud pages
* Small fixes and improvements

= 1.5.6 =
* Added Settings option to change module for GmediaCloud Page
* Added Settings option to add analytics code for GmediaCloud Page
* Added Social Share buttons to GmediaCloud Page
* Fixed: iOS application loads images without status
* Small fixes and improvements

= 1.5.5 =
* Added Import IPTC Keywords to image tags
* Fixed deleting tags from selected items in Gmedia Library
* Fixed tags search while typing in combobox
* Modals with forms inside now not closing on keyboard Esc
* Small fixes and improvements

= 1.5.4 =
* Fixed RealSlider not playing selfhosted video (Update RealSlider to latest version too)
* Small fixes and improvements

= 1.5.3 =
* Fixed PhotoBox module not working
* Fixed VideoPlayer module not working
* Improved flush_rewrite_rules when plugin update
* Improved GmediaCloud Template Page

= 1.5.1 =
* Fixed css not loading for modules

= 1.5.0 =
* Changed permalinks for Gmedia pages
* Added Templates for Full Page Galleries and Single Template Page
* Added "Share GmediaCloud Page" option for items in Library, terms and galleries
* Added options for changing gmedia permalink base and salt for creating unique urls
* Added actions icons for albums, tags and galleries
* Added Meta Info popup for Library items
* Added Terms search by term ID (enter # before numbers separated by comma)
* Fixed Albums with deleted authors
* Admin CSS improvemens

= 1.4.2 =
* Fixed music and video Custom Cover when image url is set instead of ID
* Fixed View Original link on Gmedia Library page
* Added option to add Gmedia button on custom posts
* Added option to add image Exif data to image description via Batch Edit
* If mp3 have ID3Tag image cover in it, this image shows automatically. (You need update metadata for music files)
* Small changes on Gmedia Library page
* Small CSS changes on admin pages
* Music player module updated to new version

= 1.4.1 =
* New: Gmedia iOS application for managing Library with your iPhone
* Fixed Gmedia Mobile Application admin page.

= 1.4.0 =
* New: Gmedia iOS application for managing Library with your iPhone
* Fixed error getting xml on Modules page
* Small fixes and improvements

= 1.3.7 =
* Fixed css on Modules page

= 1.3.6 =
* Fixed galleries to work in force SSL mode
* Added new option to Settings: Isolate Gmedia admin pages from other plugins to avoid conflicts
* Updated Bootstrap to version 3.3.1

= 1.3.5 =
* Added ability to generate gallery shortcode from collections. Just choose term, then choose module with preset and click Insert.
* Now you can show album, tag or category on fronted without creating gallery.

= 1.3.4 =
* Added Module Presets
* Added Module Default Preset
* Fixed compatibility with Wordpress MU

= 1.3.2 =
* Added French language
* Added option to Batch Edit for Description: 'replace', 'append', 'prepend'
* Added auth_redirect() function to avoid error when login session expire

= 1.3.1 =
* Added Serbian language
* Fix for roles and save album
* Fix for import files

= 1.3.0 =
* Add Set Post Featured Image
* Add Upload from Edit Post
* Change/Improve process of Gallery's Shortcode Insert
* Improve multiuser experience (Roles and Capabilities)
* Improve upload security

= 1.2.6 =
* Disable PHP error reporting on update.php file

= 1.2.5 =
* Improved "edit status" for albums and gmedia items
* New options on upload form
* Different colors depended on item status
* Fixed preview template
* Check PHP Memory Limit on update images

= 1.2.4 =
* Compatibility with WP 4.0
* Added status for gmedia files (public, private)
* Added status for albums (public, private, draft)
* Fixed compatibility with Lazy load (unveil.js) plugin and alternative gallery
* Added icon to assets

= 1.2.3 =
* Added Batch Edit in Gmedia Library
* Fixed bugs with multiauthor usage
* Fixed update from old versions
* Fixed compatibility with Visual Composer plugin

= 1.2.2 =
* Fixed Music Player in Chrome > v35
* Updated jPlayer script
* Updated Plupload script
* Forbid upload dangerous files via uploader
* Allowed to choose albums without author for Galleries

= 1.2.1 =
* Fixed galleries meta box on Posts and Pages
* Fixed check capabilities on some admin pages
* Fixed after plugin install not administrators can't access WP Dashboard

= 1.2.0 =
* Major update: Added User Role Manager
* Added Filter by Author
* Added Screen Option on Edit Mode to enable/disable quicktags panel for image description
* Improvements for touch screens
* Added quick actions for single media
* Added pager to gmedia list footer
* Added option to leave data when uninstall plugin
* Fixed PHP notices and warnings on some operations

= 1.1.3 =
* Fixed Music Player module

= 1.1.2 =
* Added search media by ID (just type # bedore digit in search field)
* Added search in Edit Mode
* Improved Preview gallery template for latest module
* Updated Phantom Module

= 1.1.1 =
* Fixed Gallery Preview

= 1.1.0 =
* Fixed Gmedia permalinks
* Gallery reset button now not showing if there is no changes
* Added option to update media metadata in database
* Removed Edit Image link from non images
* Improved Gmedia Preview Template
* Improved code for gallery settings
* Improved code for shortcodes
* Updated modules
* Small fixes and improvements

= 1.0.0 =
* Clean plugin code
* Improve image sorting in Albums
* Added permalinks for galleries
* Fixed Import errors and warnings
* Fixed compatibility with iTheme Security (Better Security) plugin
* Fix Music Player - force download button if link ends with .mp3 or .ogg
* Added Video Player with playlist

= 0.9.23 =
* Add setting to "no format" shortcode's content
* Update all modules
* Added manual height option to gallery modules

= 0.9.22 =
* Update jPlayer library to latest version
* Fix multiple Music Player instances on one page

= 0.9.21 =
* Fix Minima module

= 0.9.20 =
* Fix search in Gmedia Library
* Fix settings update with empty license key
* Added photoswipe js library
* Fix config for servers with renamed 'wp-content' folder
* Fix gallery preview theme warnings
* SEO optimisations for modules
* Fix modules for ajax themes
* Update all modules

= 0.9.16 =
* Added Image Editor (Rotate, Flip, Greyscale, Invert and 9 Filters + Restore Original Uploaded Image)
* If selected media and go to Edit Mode, then load only selected items
* Fixed error if no Exif module installed in PHP
* Update Modified date when Edit Gmedia
* Thickbox replaced with bootstrap modal
* Fixed Create and assign new Album in Gmedia Library
* Fixed Module settings checkbox not saved

= 0.9.15 =
* Fixed Import from NextGen plugin

= 0.9.14 =
* Added "Create Quick Gallery"
* Added gallery source - Gmedia IDs
* Improved assign albums
* Improved assign tags
* Improved delete tags
* Fixed assign no album
* Fixed assign no category

= 0.9.13 =
* Fix for Gallery source order not saved
* Add drag and drop to sort gallery source
* Add color picker for gallery colors settings
* Delete tags in selected items action now show only tags from selected items
* Fix gmedia item description not save multiline
* Small fixes and improvements

= 0.9.12 =
* Fix Import from Flagallery plugin
* Fix update settings with empty key
* Fix PHP Notices
* Fix uninstall function

= 0.9.11 =
* Improved plugin Update and Import functions
* Updated Minima, Afflux, Optima, Slider modules

= 0.9.10 =
* Fixed Phantom Module

= 0.9.9 =
* Fixed styles for FireFox and IE
* In Library Edit Mode images and music now opens in thickbox

= 0.9.8 =
* Fixed Gallery Delete action

= 0.9.7 =
* Added ability to edit broken galleries

= 0.9.6 =
* Whole new design
* Plugin was rewrited from scratch
* More intuitive interface
* Backup before updating. After update plugin go to Manage Modules page and update modules to latest versions. Then check your galleries.
